# NoPoDoFo

[![CircleCI](https://circleci.com/gh/corymickelson/NoPoDoFo.svg?style=svg)](https://circleci.com/gh/corymickelson/NoPoDoFo)
[![Coverage Status](https://coveralls.io/repos/github/corymickelson/NoPoDoFo/badge.svg?branch=master)](https://coveralls.io/github/corymickelson/NoPoDoFo?branch=master)

 - NoPoDoFo aims to provide the Node.js ecosystem a functionally complete solution for PDF modification and creation. 
 - NoPoDoFo is a bindings library to
 [PoDoFo](http://podofo.sourceforge.net/index.html).
 - NoPoDoFo is still in <mark>early development.</mark> 

### __Current Version 0.6.3__
[![NPM](https://nodei.co/npm/nopodofo.png?downloads=true&downloadRank=true)](http://nodei.co/npm/nopodofo)

### [Documentation](https://corymickelson.github.io/NoPoDoFo/index)

#### **Guides**
 - [NoPoDoFo Installation and Setup](https://github.com/corymickelson/NoPoDoFo/blob/master/guides/getting_started.md)
 - [NoPoDoFo.Document](https://github.com/corymickelson/NoPoDoFo/blob/master/guides/document.md)
 - [NoPoDoFo.StreamDocument](https://github.com/corymickelson/NoPoDoFo/blob/master/guids/stream_document.md)
 - [NoPoDoFo.Primitives](https://github.com/corymickelson/NoPoDoFo/blob/master/guides/primitives.md)
 - [NoPoDoFo.Painter](https://github.com/corymickelson/NoPoDoFo/blob/master/guides/painter.md)
 - [NoPoDoFo.Page](https://github.com/corymickelson/NoPoDoFo/blob/master/guides/page.md)
 - [NoPoDoFo.Signer](https://github.com/corymickelson/NoPoDoFo/blob/master/guides/signer.md)
 - [NoPoDoFo.Parsers](https://github.com/corymickelson/NoPoDoFo/blob/master/guides/parsers.md)
 - [NoPoDoFo.Proxies](https://github.com/corymickelson/NoPoDoFo/blob/master/guides/proxies.md)
 - [NoPoDoFo.Encrypt](https://github.com/corymickelson/NoPoDoFo/blob/master/guides/encrypt.md)

For use with AWS Lambda read [AWS Lambda guide](https://github.com/corymickelson/NoPoDoFo/blob/master/guides/aws_lambda.md)

Setting up a development environment for native addons can be found [here](https://corymickelson.github.io)
