import { IDocument } from "./document";
import { IDictionary, IObj } from "./object";
import { IPage } from "./page";
export declare enum NPDFActions {
    GoTo = 0,
    GoToR = 1,
    GoToE = 2,
    Launch = 3,
    Thread = 4,
    URI = 5,
    Sound = 6,
    Movie = 7,
    Hide = 8,
    Named = 9,
    SubmitForm = 10,
    ResetForm = 11,
    ImportData = 12,
    JavaScript = 13,
    SetOCGState = 14,
    Rendition = 15,
    Trans = 16,
    GoTo3DView = 17,
    RichMediaExecute = 18,
    Unknown = 255,
}
export declare enum NPDFMouseEvent {
    up = 0,
    down = 1,
    enter = 2,
    exit = 3,
}
export declare enum NPDFPageEvent {
    open = 0,
    close = 1,
    visible = 2,
    invisible = 3,
}
export declare enum NPDFDestinationType {
    XYZ = 0,
    Fit = 1,
    FitH = 2,
    FitV = 3,
    FitR = 4,
    FitB = 5,
    FitBH = 6,
    FitBV = 7,
    Unknown = 255,
}
export interface IDestination {
    new (): IDestination;
    readonly page: IPage;
    readonly type: NPDFDestinationType;
}
export interface IAction {
    new (type: NPDFActions, doc: IDocument): void;
    type: NPDFActions;
    uri?: string;
    script?: string;
    getObject(): IObj;
    addToDictionary(dictionary: IDictionary): void;
}
