"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * This file is part of the NoPoDoFo (R) project.
 * Copyright (c) 2017-2018
 * Authors: Cory Mickelson, et al.
 *
 * NoPoDoFo is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * NoPoDoFo is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
const fs_1 = require("fs");
const constants_1 = require("constants");
const _1 = require(".");
var NPDFFontEncoding;
(function (NPDFFontEncoding) {
    NPDFFontEncoding[NPDFFontEncoding["WinAnsi"] = 1] = "WinAnsi";
    NPDFFontEncoding[NPDFFontEncoding["Standard"] = 2] = "Standard";
    NPDFFontEncoding[NPDFFontEncoding["PdfDoc"] = 3] = "PdfDoc";
    NPDFFontEncoding[NPDFFontEncoding["MacRoman"] = 4] = "MacRoman";
    NPDFFontEncoding[NPDFFontEncoding["MacExpert"] = 5] = "MacExpert";
    NPDFFontEncoding[NPDFFontEncoding["Symbol"] = 6] = "Symbol";
    NPDFFontEncoding[NPDFFontEncoding["ZapfDingbats"] = 7] = "ZapfDingbats";
    NPDFFontEncoding[NPDFFontEncoding["Win1250"] = 8] = "Win1250";
    NPDFFontEncoding[NPDFFontEncoding["Iso88592"] = 9] = "Iso88592";
    NPDFFontEncoding[NPDFFontEncoding["Identity"] = 0] = "Identity";
})(NPDFFontEncoding = exports.NPDFFontEncoding || (exports.NPDFFontEncoding = {}));
var NPDFPageMode;
(function (NPDFPageMode) {
    NPDFPageMode[NPDFPageMode["DontCare"] = 0] = "DontCare";
    NPDFPageMode[NPDFPageMode["UseNone"] = 1] = "UseNone";
    NPDFPageMode[NPDFPageMode["UseThumbs"] = 2] = "UseThumbs";
    NPDFPageMode[NPDFPageMode["UseBookmarks"] = 3] = "UseBookmarks";
    NPDFPageMode[NPDFPageMode["FullScreen"] = 4] = "FullScreen";
    NPDFPageMode[NPDFPageMode["UseOC"] = 5] = "UseOC";
    NPDFPageMode[NPDFPageMode["UseAttachments"] = 6] = "UseAttachments";
})(NPDFPageMode = exports.NPDFPageMode || (exports.NPDFPageMode = {}));
var NPDFPageLayout;
(function (NPDFPageLayout) {
    NPDFPageLayout[NPDFPageLayout["Ignore"] = 0] = "Ignore";
    NPDFPageLayout[NPDFPageLayout["Default"] = 1] = "Default";
    NPDFPageLayout[NPDFPageLayout["SinglePage"] = 2] = "SinglePage";
    NPDFPageLayout[NPDFPageLayout["OneColumn"] = 3] = "OneColumn";
    NPDFPageLayout[NPDFPageLayout["TwoColumnLeft"] = 4] = "TwoColumnLeft";
    NPDFPageLayout[NPDFPageLayout["TwoColumnRight"] = 5] = "TwoColumnRight";
    NPDFPageLayout[NPDFPageLayout["TwoPageLeft"] = 6] = "TwoPageLeft";
    NPDFPageLayout[NPDFPageLayout["TwoPageRight"] = 7] = "TwoPageRight";
})(NPDFPageLayout = exports.NPDFPageLayout || (exports.NPDFPageLayout = {}));
exports.documentGc = (file, pwd, output, cb) => {
    fs_1.access(file, constants_1.F_OK, err => {
        if (err) {
            throw Error('File not found');
        }
        _1.npdf.Document.gc(file, pwd, output, cb); // gc is a static method on Document
    });
};
//# sourceMappingURL=document.js.map